#include <mysqlcppapi/mysqlcppapi.h>
#include <iostream>

#define MY_DATABASE	"telcent"
#define MY_TABLE		"nazivi"
#define MY_HOST    "localhost"
#define MY_USER    "root"
#define MY_PASSWORD ""
#define MY_FIELD    "naziv"
#define MY_QUERY    "SELECT URL from my_table as t1, my_table as t2 where t1.field = t2.field"

int  main ()
{
  mysqlcppapi::Connection con;
	try {
        std::ostringstream strbuf;
		unsigned int i=0; 
		
		con.set_Host(MY_HOST);
		con.set_User(MY_USER);
		con.set_Password(MY_PASSWORD);
		con.set_Port(3306);
		con.connect();
		con.select_database(MY_DATABASE);
		
		mysqlcppapi::Query query = con.create_Query();

		query << MY_QUERY; 

		mysqlcppapi::Result_Use res = query.use();
		 

		strbuf << "delete from " << MY_TABLE << " where " << MY_FIELD << " in (";
//  for UPDATE just replace the above DELETE FROM with UPDATE statement
    mysqlcppapi::Row row = res.fetch_row();
    while(!(res.eof()))
    {
		  strbuf <<	 row[0] << ",";
      i++;
      row = res.fetch_row();
    }
    
		if (!i)
		  return 0;
		   
        std::string output(strbuf.str());
		output.erase(output.size()-1,1); output += ")";

    mysqlcppapi::Query query2 = con.create_Query();
    query2 << output;
		query.execute(); // cout << output << endl;
		return 0;
	} catch (mysqlcppapi::ex_BadQuery& er) { 
        std::cerr << "Error: " << er.what() << std::endl;
    return -1;
	}
}
